Storyden
Auth

Web Authn Make Credential

Complete WebAuthn registration by creating a new credential.

POST
/auth/webauthn/make

Complete WebAuthn registration by creating a new credential.

Authorization

webauthn
cookiestoryden-webauthn-session<token>

Query Parameters

invitation_id?string

Unique invitation ID.

Formatxid

Request Body

application/json
  1. body
id*string
rawId*string
response*
type*string
clientExtensionResults?
authenticatorAttachment?string

Response Body

OK

application/json
  1. response
id*string
Example Request
curl -X POST 'https://example.com/api/auth/webauthn/make' \  -H 'Content-Type: application/json' \  -d '{  "id": "string",  "rawId": "string",  "response": {    "clientDataJSON": "string"  },  "type": "string"}'
Example Response
{  "id": "string"}